/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/ 	function hotDisposeChunk(chunkId) {
/******/ 		delete installedChunks[chunkId];
/******/ 	}
/******/ 	var parentHotUpdateCallback = window["webpackHotUpdate"];
/******/ 	window["webpackHotUpdate"] = // eslint-disable-next-line no-unused-vars
/******/ 	function webpackHotUpdateCallback(chunkId, moreModules) {
/******/ 		hotAddUpdateChunk(chunkId, moreModules);
/******/ 		if (parentHotUpdateCallback) parentHotUpdateCallback(chunkId, moreModules);
/******/ 	} ;
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotDownloadUpdateChunk(chunkId) {
/******/ 		var script = document.createElement("script");
/******/ 		script.charset = "utf-8";
/******/ 		script.src = __webpack_require__.p + "" + chunkId + "." + hotCurrentHash + ".hot-update.js";
/******/ 		if (null) script.crossOrigin = null;
/******/ 		document.head.appendChild(script);
/******/ 	}
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotDownloadManifest(requestTimeout) {
/******/ 		requestTimeout = requestTimeout || 10000;
/******/ 		return new Promise(function(resolve, reject) {
/******/ 			if (typeof XMLHttpRequest === "undefined") {
/******/ 				return reject(new Error("No browser support"));
/******/ 			}
/******/ 			try {
/******/ 				var request = new XMLHttpRequest();
/******/ 				var requestPath = __webpack_require__.p + "" + hotCurrentHash + ".hot-update.json";
/******/ 				request.open("GET", requestPath, true);
/******/ 				request.timeout = requestTimeout;
/******/ 				request.send(null);
/******/ 			} catch (err) {
/******/ 				return reject(err);
/******/ 			}
/******/ 			request.onreadystatechange = function() {
/******/ 				if (request.readyState !== 4) return;
/******/ 				if (request.status === 0) {
/******/ 					// timeout
/******/ 					reject(
/******/ 						new Error("Manifest request to " + requestPath + " timed out.")
/******/ 					);
/******/ 				} else if (request.status === 404) {
/******/ 					// no update available
/******/ 					resolve();
/******/ 				} else if (request.status !== 200 && request.status !== 304) {
/******/ 					// other failure
/******/ 					reject(new Error("Manifest request to " + requestPath + " failed."));
/******/ 				} else {
/******/ 					// success
/******/ 					try {
/******/ 						var update = JSON.parse(request.responseText);
/******/ 					} catch (e) {
/******/ 						reject(e);
/******/ 						return;
/******/ 					}
/******/ 					resolve(update);
/******/ 				}
/******/ 			};
/******/ 		});
/******/ 	}
/******/
/******/ 	var hotApplyOnUpdate = true;
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	var hotCurrentHash = "992955514ff4a5a0eb1f";
/******/ 	var hotRequestTimeout = 10000;
/******/ 	var hotCurrentModuleData = {};
/******/ 	var hotCurrentChildModule;
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	var hotCurrentParents = [];
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	var hotCurrentParentsTemp = [];
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotCreateRequire(moduleId) {
/******/ 		var me = installedModules[moduleId];
/******/ 		if (!me) return __webpack_require__;
/******/ 		var fn = function(request) {
/******/ 			if (me.hot.active) {
/******/ 				if (installedModules[request]) {
/******/ 					if (installedModules[request].parents.indexOf(moduleId) === -1) {
/******/ 						installedModules[request].parents.push(moduleId);
/******/ 					}
/******/ 				} else {
/******/ 					hotCurrentParents = [moduleId];
/******/ 					hotCurrentChildModule = request;
/******/ 				}
/******/ 				if (me.children.indexOf(request) === -1) {
/******/ 					me.children.push(request);
/******/ 				}
/******/ 			} else {
/******/ 				console.warn(
/******/ 					"[HMR] unexpected require(" +
/******/ 						request +
/******/ 						") from disposed module " +
/******/ 						moduleId
/******/ 				);
/******/ 				hotCurrentParents = [];
/******/ 			}
/******/ 			return __webpack_require__(request);
/******/ 		};
/******/ 		var ObjectFactory = function ObjectFactory(name) {
/******/ 			return {
/******/ 				configurable: true,
/******/ 				enumerable: true,
/******/ 				get: function() {
/******/ 					return __webpack_require__[name];
/******/ 				},
/******/ 				set: function(value) {
/******/ 					__webpack_require__[name] = value;
/******/ 				}
/******/ 			};
/******/ 		};
/******/ 		for (var name in __webpack_require__) {
/******/ 			if (
/******/ 				Object.prototype.hasOwnProperty.call(__webpack_require__, name) &&
/******/ 				name !== "e" &&
/******/ 				name !== "t"
/******/ 			) {
/******/ 				Object.defineProperty(fn, name, ObjectFactory(name));
/******/ 			}
/******/ 		}
/******/ 		fn.e = function(chunkId) {
/******/ 			if (hotStatus === "ready") hotSetStatus("prepare");
/******/ 			hotChunksLoading++;
/******/ 			return __webpack_require__.e(chunkId).then(finishChunkLoading, function(err) {
/******/ 				finishChunkLoading();
/******/ 				throw err;
/******/ 			});
/******/
/******/ 			function finishChunkLoading() {
/******/ 				hotChunksLoading--;
/******/ 				if (hotStatus === "prepare") {
/******/ 					if (!hotWaitingFilesMap[chunkId]) {
/******/ 						hotEnsureUpdateChunk(chunkId);
/******/ 					}
/******/ 					if (hotChunksLoading === 0 && hotWaitingFiles === 0) {
/******/ 						hotUpdateDownloaded();
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 		fn.t = function(value, mode) {
/******/ 			if (mode & 1) value = fn(value);
/******/ 			return __webpack_require__.t(value, mode & ~1);
/******/ 		};
/******/ 		return fn;
/******/ 	}
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotCreateModule(moduleId) {
/******/ 		var hot = {
/******/ 			// private stuff
/******/ 			_acceptedDependencies: {},
/******/ 			_declinedDependencies: {},
/******/ 			_selfAccepted: false,
/******/ 			_selfDeclined: false,
/******/ 			_selfInvalidated: false,
/******/ 			_disposeHandlers: [],
/******/ 			_main: hotCurrentChildModule !== moduleId,
/******/
/******/ 			// Module API
/******/ 			active: true,
/******/ 			accept: function(dep, callback) {
/******/ 				if (dep === undefined) hot._selfAccepted = true;
/******/ 				else if (typeof dep === "function") hot._selfAccepted = dep;
/******/ 				else if (typeof dep === "object")
/******/ 					for (var i = 0; i < dep.length; i++)
/******/ 						hot._acceptedDependencies[dep[i]] = callback || function() {};
/******/ 				else hot._acceptedDependencies[dep] = callback || function() {};
/******/ 			},
/******/ 			decline: function(dep) {
/******/ 				if (dep === undefined) hot._selfDeclined = true;
/******/ 				else if (typeof dep === "object")
/******/ 					for (var i = 0; i < dep.length; i++)
/******/ 						hot._declinedDependencies[dep[i]] = true;
/******/ 				else hot._declinedDependencies[dep] = true;
/******/ 			},
/******/ 			dispose: function(callback) {
/******/ 				hot._disposeHandlers.push(callback);
/******/ 			},
/******/ 			addDisposeHandler: function(callback) {
/******/ 				hot._disposeHandlers.push(callback);
/******/ 			},
/******/ 			removeDisposeHandler: function(callback) {
/******/ 				var idx = hot._disposeHandlers.indexOf(callback);
/******/ 				if (idx >= 0) hot._disposeHandlers.splice(idx, 1);
/******/ 			},
/******/ 			invalidate: function() {
/******/ 				this._selfInvalidated = true;
/******/ 				switch (hotStatus) {
/******/ 					case "idle":
/******/ 						hotUpdate = {};
/******/ 						hotUpdate[moduleId] = modules[moduleId];
/******/ 						hotSetStatus("ready");
/******/ 						break;
/******/ 					case "ready":
/******/ 						hotApplyInvalidatedModule(moduleId);
/******/ 						break;
/******/ 					case "prepare":
/******/ 					case "check":
/******/ 					case "dispose":
/******/ 					case "apply":
/******/ 						(hotQueuedInvalidatedModules =
/******/ 							hotQueuedInvalidatedModules || []).push(moduleId);
/******/ 						break;
/******/ 					default:
/******/ 						// ignore requests in error states
/******/ 						break;
/******/ 				}
/******/ 			},
/******/
/******/ 			// Management API
/******/ 			check: hotCheck,
/******/ 			apply: hotApply,
/******/ 			status: function(l) {
/******/ 				if (!l) return hotStatus;
/******/ 				hotStatusHandlers.push(l);
/******/ 			},
/******/ 			addStatusHandler: function(l) {
/******/ 				hotStatusHandlers.push(l);
/******/ 			},
/******/ 			removeStatusHandler: function(l) {
/******/ 				var idx = hotStatusHandlers.indexOf(l);
/******/ 				if (idx >= 0) hotStatusHandlers.splice(idx, 1);
/******/ 			},
/******/
/******/ 			//inherit from previous dispose call
/******/ 			data: hotCurrentModuleData[moduleId]
/******/ 		};
/******/ 		hotCurrentChildModule = undefined;
/******/ 		return hot;
/******/ 	}
/******/
/******/ 	var hotStatusHandlers = [];
/******/ 	var hotStatus = "idle";
/******/
/******/ 	function hotSetStatus(newStatus) {
/******/ 		hotStatus = newStatus;
/******/ 		for (var i = 0; i < hotStatusHandlers.length; i++)
/******/ 			hotStatusHandlers[i].call(null, newStatus);
/******/ 	}
/******/
/******/ 	// while downloading
/******/ 	var hotWaitingFiles = 0;
/******/ 	var hotChunksLoading = 0;
/******/ 	var hotWaitingFilesMap = {};
/******/ 	var hotRequestedFilesMap = {};
/******/ 	var hotAvailableFilesMap = {};
/******/ 	var hotDeferred;
/******/
/******/ 	// The update info
/******/ 	var hotUpdate, hotUpdateNewHash, hotQueuedInvalidatedModules;
/******/
/******/ 	function toModuleId(id) {
/******/ 		var isNumber = +id + "" === id;
/******/ 		return isNumber ? +id : id;
/******/ 	}
/******/
/******/ 	function hotCheck(apply) {
/******/ 		if (hotStatus !== "idle") {
/******/ 			throw new Error("check() is only allowed in idle status");
/******/ 		}
/******/ 		hotApplyOnUpdate = apply;
/******/ 		hotSetStatus("check");
/******/ 		return hotDownloadManifest(hotRequestTimeout).then(function(update) {
/******/ 			if (!update) {
/******/ 				hotSetStatus(hotApplyInvalidatedModules() ? "ready" : "idle");
/******/ 				return null;
/******/ 			}
/******/ 			hotRequestedFilesMap = {};
/******/ 			hotWaitingFilesMap = {};
/******/ 			hotAvailableFilesMap = update.c;
/******/ 			hotUpdateNewHash = update.h;
/******/
/******/ 			hotSetStatus("prepare");
/******/ 			var promise = new Promise(function(resolve, reject) {
/******/ 				hotDeferred = {
/******/ 					resolve: resolve,
/******/ 					reject: reject
/******/ 				};
/******/ 			});
/******/ 			hotUpdate = {};
/******/ 			for(var chunkId in installedChunks)
/******/ 			// eslint-disable-next-line no-lone-blocks
/******/ 			{
/******/ 				hotEnsureUpdateChunk(chunkId);
/******/ 			}
/******/ 			if (
/******/ 				hotStatus === "prepare" &&
/******/ 				hotChunksLoading === 0 &&
/******/ 				hotWaitingFiles === 0
/******/ 			) {
/******/ 				hotUpdateDownloaded();
/******/ 			}
/******/ 			return promise;
/******/ 		});
/******/ 	}
/******/
/******/ 	// eslint-disable-next-line no-unused-vars
/******/ 	function hotAddUpdateChunk(chunkId, moreModules) {
/******/ 		if (!hotAvailableFilesMap[chunkId] || !hotRequestedFilesMap[chunkId])
/******/ 			return;
/******/ 		hotRequestedFilesMap[chunkId] = false;
/******/ 		for (var moduleId in moreModules) {
/******/ 			if (Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				hotUpdate[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if (--hotWaitingFiles === 0 && hotChunksLoading === 0) {
/******/ 			hotUpdateDownloaded();
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotEnsureUpdateChunk(chunkId) {
/******/ 		if (!hotAvailableFilesMap[chunkId]) {
/******/ 			hotWaitingFilesMap[chunkId] = true;
/******/ 		} else {
/******/ 			hotRequestedFilesMap[chunkId] = true;
/******/ 			hotWaitingFiles++;
/******/ 			hotDownloadUpdateChunk(chunkId);
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotUpdateDownloaded() {
/******/ 		hotSetStatus("ready");
/******/ 		var deferred = hotDeferred;
/******/ 		hotDeferred = null;
/******/ 		if (!deferred) return;
/******/ 		if (hotApplyOnUpdate) {
/******/ 			// Wrap deferred object in Promise to mark it as a well-handled Promise to
/******/ 			// avoid triggering uncaught exception warning in Chrome.
/******/ 			// See https://bugs.chromium.org/p/chromium/issues/detail?id=465666
/******/ 			Promise.resolve()
/******/ 				.then(function() {
/******/ 					return hotApply(hotApplyOnUpdate);
/******/ 				})
/******/ 				.then(
/******/ 					function(result) {
/******/ 						deferred.resolve(result);
/******/ 					},
/******/ 					function(err) {
/******/ 						deferred.reject(err);
/******/ 					}
/******/ 				);
/******/ 		} else {
/******/ 			var outdatedModules = [];
/******/ 			for (var id in hotUpdate) {
/******/ 				if (Object.prototype.hasOwnProperty.call(hotUpdate, id)) {
/******/ 					outdatedModules.push(toModuleId(id));
/******/ 				}
/******/ 			}
/******/ 			deferred.resolve(outdatedModules);
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotApply(options) {
/******/ 		if (hotStatus !== "ready")
/******/ 			throw new Error("apply() is only allowed in ready status");
/******/ 		options = options || {};
/******/ 		return hotApplyInternal(options);
/******/ 	}
/******/
/******/ 	function hotApplyInternal(options) {
/******/ 		hotApplyInvalidatedModules();
/******/
/******/ 		var cb;
/******/ 		var i;
/******/ 		var j;
/******/ 		var module;
/******/ 		var moduleId;
/******/
/******/ 		function getAffectedStuff(updateModuleId) {
/******/ 			var outdatedModules = [updateModuleId];
/******/ 			var outdatedDependencies = {};
/******/
/******/ 			var queue = outdatedModules.map(function(id) {
/******/ 				return {
/******/ 					chain: [id],
/******/ 					id: id
/******/ 				};
/******/ 			});
/******/ 			while (queue.length > 0) {
/******/ 				var queueItem = queue.pop();
/******/ 				var moduleId = queueItem.id;
/******/ 				var chain = queueItem.chain;
/******/ 				module = installedModules[moduleId];
/******/ 				if (
/******/ 					!module ||
/******/ 					(module.hot._selfAccepted && !module.hot._selfInvalidated)
/******/ 				)
/******/ 					continue;
/******/ 				if (module.hot._selfDeclined) {
/******/ 					return {
/******/ 						type: "self-declined",
/******/ 						chain: chain,
/******/ 						moduleId: moduleId
/******/ 					};
/******/ 				}
/******/ 				if (module.hot._main) {
/******/ 					return {
/******/ 						type: "unaccepted",
/******/ 						chain: chain,
/******/ 						moduleId: moduleId
/******/ 					};
/******/ 				}
/******/ 				for (var i = 0; i < module.parents.length; i++) {
/******/ 					var parentId = module.parents[i];
/******/ 					var parent = installedModules[parentId];
/******/ 					if (!parent) continue;
/******/ 					if (parent.hot._declinedDependencies[moduleId]) {
/******/ 						return {
/******/ 							type: "declined",
/******/ 							chain: chain.concat([parentId]),
/******/ 							moduleId: moduleId,
/******/ 							parentId: parentId
/******/ 						};
/******/ 					}
/******/ 					if (outdatedModules.indexOf(parentId) !== -1) continue;
/******/ 					if (parent.hot._acceptedDependencies[moduleId]) {
/******/ 						if (!outdatedDependencies[parentId])
/******/ 							outdatedDependencies[parentId] = [];
/******/ 						addAllToSet(outdatedDependencies[parentId], [moduleId]);
/******/ 						continue;
/******/ 					}
/******/ 					delete outdatedDependencies[parentId];
/******/ 					outdatedModules.push(parentId);
/******/ 					queue.push({
/******/ 						chain: chain.concat([parentId]),
/******/ 						id: parentId
/******/ 					});
/******/ 				}
/******/ 			}
/******/
/******/ 			return {
/******/ 				type: "accepted",
/******/ 				moduleId: updateModuleId,
/******/ 				outdatedModules: outdatedModules,
/******/ 				outdatedDependencies: outdatedDependencies
/******/ 			};
/******/ 		}
/******/
/******/ 		function addAllToSet(a, b) {
/******/ 			for (var i = 0; i < b.length; i++) {
/******/ 				var item = b[i];
/******/ 				if (a.indexOf(item) === -1) a.push(item);
/******/ 			}
/******/ 		}
/******/
/******/ 		// at begin all updates modules are outdated
/******/ 		// the "outdated" status can propagate to parents if they don't accept the children
/******/ 		var outdatedDependencies = {};
/******/ 		var outdatedModules = [];
/******/ 		var appliedUpdate = {};
/******/
/******/ 		var warnUnexpectedRequire = function warnUnexpectedRequire() {
/******/ 			console.warn(
/******/ 				"[HMR] unexpected require(" + result.moduleId + ") to disposed module"
/******/ 			);
/******/ 		};
/******/
/******/ 		for (var id in hotUpdate) {
/******/ 			if (Object.prototype.hasOwnProperty.call(hotUpdate, id)) {
/******/ 				moduleId = toModuleId(id);
/******/ 				/** @type {TODO} */
/******/ 				var result;
/******/ 				if (hotUpdate[id]) {
/******/ 					result = getAffectedStuff(moduleId);
/******/ 				} else {
/******/ 					result = {
/******/ 						type: "disposed",
/******/ 						moduleId: id
/******/ 					};
/******/ 				}
/******/ 				/** @type {Error|false} */
/******/ 				var abortError = false;
/******/ 				var doApply = false;
/******/ 				var doDispose = false;
/******/ 				var chainInfo = "";
/******/ 				if (result.chain) {
/******/ 					chainInfo = "\nUpdate propagation: " + result.chain.join(" -> ");
/******/ 				}
/******/ 				switch (result.type) {
/******/ 					case "self-declined":
/******/ 						if (options.onDeclined) options.onDeclined(result);
/******/ 						if (!options.ignoreDeclined)
/******/ 							abortError = new Error(
/******/ 								"Aborted because of self decline: " +
/******/ 									result.moduleId +
/******/ 									chainInfo
/******/ 							);
/******/ 						break;
/******/ 					case "declined":
/******/ 						if (options.onDeclined) options.onDeclined(result);
/******/ 						if (!options.ignoreDeclined)
/******/ 							abortError = new Error(
/******/ 								"Aborted because of declined dependency: " +
/******/ 									result.moduleId +
/******/ 									" in " +
/******/ 									result.parentId +
/******/ 									chainInfo
/******/ 							);
/******/ 						break;
/******/ 					case "unaccepted":
/******/ 						if (options.onUnaccepted) options.onUnaccepted(result);
/******/ 						if (!options.ignoreUnaccepted)
/******/ 							abortError = new Error(
/******/ 								"Aborted because " + moduleId + " is not accepted" + chainInfo
/******/ 							);
/******/ 						break;
/******/ 					case "accepted":
/******/ 						if (options.onAccepted) options.onAccepted(result);
/******/ 						doApply = true;
/******/ 						break;
/******/ 					case "disposed":
/******/ 						if (options.onDisposed) options.onDisposed(result);
/******/ 						doDispose = true;
/******/ 						break;
/******/ 					default:
/******/ 						throw new Error("Unexception type " + result.type);
/******/ 				}
/******/ 				if (abortError) {
/******/ 					hotSetStatus("abort");
/******/ 					return Promise.reject(abortError);
/******/ 				}
/******/ 				if (doApply) {
/******/ 					appliedUpdate[moduleId] = hotUpdate[moduleId];
/******/ 					addAllToSet(outdatedModules, result.outdatedModules);
/******/ 					for (moduleId in result.outdatedDependencies) {
/******/ 						if (
/******/ 							Object.prototype.hasOwnProperty.call(
/******/ 								result.outdatedDependencies,
/******/ 								moduleId
/******/ 							)
/******/ 						) {
/******/ 							if (!outdatedDependencies[moduleId])
/******/ 								outdatedDependencies[moduleId] = [];
/******/ 							addAllToSet(
/******/ 								outdatedDependencies[moduleId],
/******/ 								result.outdatedDependencies[moduleId]
/******/ 							);
/******/ 						}
/******/ 					}
/******/ 				}
/******/ 				if (doDispose) {
/******/ 					addAllToSet(outdatedModules, [result.moduleId]);
/******/ 					appliedUpdate[moduleId] = warnUnexpectedRequire;
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// Store self accepted outdated modules to require them later by the module system
/******/ 		var outdatedSelfAcceptedModules = [];
/******/ 		for (i = 0; i < outdatedModules.length; i++) {
/******/ 			moduleId = outdatedModules[i];
/******/ 			if (
/******/ 				installedModules[moduleId] &&
/******/ 				installedModules[moduleId].hot._selfAccepted &&
/******/ 				// removed self-accepted modules should not be required
/******/ 				appliedUpdate[moduleId] !== warnUnexpectedRequire &&
/******/ 				// when called invalidate self-accepting is not possible
/******/ 				!installedModules[moduleId].hot._selfInvalidated
/******/ 			) {
/******/ 				outdatedSelfAcceptedModules.push({
/******/ 					module: moduleId,
/******/ 					parents: installedModules[moduleId].parents.slice(),
/******/ 					errorHandler: installedModules[moduleId].hot._selfAccepted
/******/ 				});
/******/ 			}
/******/ 		}
/******/
/******/ 		// Now in "dispose" phase
/******/ 		hotSetStatus("dispose");
/******/ 		Object.keys(hotAvailableFilesMap).forEach(function(chunkId) {
/******/ 			if (hotAvailableFilesMap[chunkId] === false) {
/******/ 				hotDisposeChunk(chunkId);
/******/ 			}
/******/ 		});
/******/
/******/ 		var idx;
/******/ 		var queue = outdatedModules.slice();
/******/ 		while (queue.length > 0) {
/******/ 			moduleId = queue.pop();
/******/ 			module = installedModules[moduleId];
/******/ 			if (!module) continue;
/******/
/******/ 			var data = {};
/******/
/******/ 			// Call dispose handlers
/******/ 			var disposeHandlers = module.hot._disposeHandlers;
/******/ 			for (j = 0; j < disposeHandlers.length; j++) {
/******/ 				cb = disposeHandlers[j];
/******/ 				cb(data);
/******/ 			}
/******/ 			hotCurrentModuleData[moduleId] = data;
/******/
/******/ 			// disable module (this disables requires from this module)
/******/ 			module.hot.active = false;
/******/
/******/ 			// remove module from cache
/******/ 			delete installedModules[moduleId];
/******/
/******/ 			// when disposing there is no need to call dispose handler
/******/ 			delete outdatedDependencies[moduleId];
/******/
/******/ 			// remove "parents" references from all children
/******/ 			for (j = 0; j < module.children.length; j++) {
/******/ 				var child = installedModules[module.children[j]];
/******/ 				if (!child) continue;
/******/ 				idx = child.parents.indexOf(moduleId);
/******/ 				if (idx >= 0) {
/******/ 					child.parents.splice(idx, 1);
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// remove outdated dependency from module children
/******/ 		var dependency;
/******/ 		var moduleOutdatedDependencies;
/******/ 		for (moduleId in outdatedDependencies) {
/******/ 			if (
/******/ 				Object.prototype.hasOwnProperty.call(outdatedDependencies, moduleId)
/******/ 			) {
/******/ 				module = installedModules[moduleId];
/******/ 				if (module) {
/******/ 					moduleOutdatedDependencies = outdatedDependencies[moduleId];
/******/ 					for (j = 0; j < moduleOutdatedDependencies.length; j++) {
/******/ 						dependency = moduleOutdatedDependencies[j];
/******/ 						idx = module.children.indexOf(dependency);
/******/ 						if (idx >= 0) module.children.splice(idx, 1);
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// Now in "apply" phase
/******/ 		hotSetStatus("apply");
/******/
/******/ 		if (hotUpdateNewHash !== undefined) {
/******/ 			hotCurrentHash = hotUpdateNewHash;
/******/ 			hotUpdateNewHash = undefined;
/******/ 		}
/******/ 		hotUpdate = undefined;
/******/
/******/ 		// insert new code
/******/ 		for (moduleId in appliedUpdate) {
/******/ 			if (Object.prototype.hasOwnProperty.call(appliedUpdate, moduleId)) {
/******/ 				modules[moduleId] = appliedUpdate[moduleId];
/******/ 			}
/******/ 		}
/******/
/******/ 		// call accept handlers
/******/ 		var error = null;
/******/ 		for (moduleId in outdatedDependencies) {
/******/ 			if (
/******/ 				Object.prototype.hasOwnProperty.call(outdatedDependencies, moduleId)
/******/ 			) {
/******/ 				module = installedModules[moduleId];
/******/ 				if (module) {
/******/ 					moduleOutdatedDependencies = outdatedDependencies[moduleId];
/******/ 					var callbacks = [];
/******/ 					for (i = 0; i < moduleOutdatedDependencies.length; i++) {
/******/ 						dependency = moduleOutdatedDependencies[i];
/******/ 						cb = module.hot._acceptedDependencies[dependency];
/******/ 						if (cb) {
/******/ 							if (callbacks.indexOf(cb) !== -1) continue;
/******/ 							callbacks.push(cb);
/******/ 						}
/******/ 					}
/******/ 					for (i = 0; i < callbacks.length; i++) {
/******/ 						cb = callbacks[i];
/******/ 						try {
/******/ 							cb(moduleOutdatedDependencies);
/******/ 						} catch (err) {
/******/ 							if (options.onErrored) {
/******/ 								options.onErrored({
/******/ 									type: "accept-errored",
/******/ 									moduleId: moduleId,
/******/ 									dependencyId: moduleOutdatedDependencies[i],
/******/ 									error: err
/******/ 								});
/******/ 							}
/******/ 							if (!options.ignoreErrored) {
/******/ 								if (!error) error = err;
/******/ 							}
/******/ 						}
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// Load self accepted modules
/******/ 		for (i = 0; i < outdatedSelfAcceptedModules.length; i++) {
/******/ 			var item = outdatedSelfAcceptedModules[i];
/******/ 			moduleId = item.module;
/******/ 			hotCurrentParents = item.parents;
/******/ 			hotCurrentChildModule = moduleId;
/******/ 			try {
/******/ 				__webpack_require__(moduleId);
/******/ 			} catch (err) {
/******/ 				if (typeof item.errorHandler === "function") {
/******/ 					try {
/******/ 						item.errorHandler(err);
/******/ 					} catch (err2) {
/******/ 						if (options.onErrored) {
/******/ 							options.onErrored({
/******/ 								type: "self-accept-error-handler-errored",
/******/ 								moduleId: moduleId,
/******/ 								error: err2,
/******/ 								originalError: err
/******/ 							});
/******/ 						}
/******/ 						if (!options.ignoreErrored) {
/******/ 							if (!error) error = err2;
/******/ 						}
/******/ 						if (!error) error = err;
/******/ 					}
/******/ 				} else {
/******/ 					if (options.onErrored) {
/******/ 						options.onErrored({
/******/ 							type: "self-accept-errored",
/******/ 							moduleId: moduleId,
/******/ 							error: err
/******/ 						});
/******/ 					}
/******/ 					if (!options.ignoreErrored) {
/******/ 						if (!error) error = err;
/******/ 					}
/******/ 				}
/******/ 			}
/******/ 		}
/******/
/******/ 		// handle errors in accept handlers and self accepted module load
/******/ 		if (error) {
/******/ 			hotSetStatus("fail");
/******/ 			return Promise.reject(error);
/******/ 		}
/******/
/******/ 		if (hotQueuedInvalidatedModules) {
/******/ 			return hotApplyInternal(options).then(function(list) {
/******/ 				outdatedModules.forEach(function(moduleId) {
/******/ 					if (list.indexOf(moduleId) < 0) list.push(moduleId);
/******/ 				});
/******/ 				return list;
/******/ 			});
/******/ 		}
/******/
/******/ 		hotSetStatus("idle");
/******/ 		return new Promise(function(resolve) {
/******/ 			resolve(outdatedModules);
/******/ 		});
/******/ 	}
/******/
/******/ 	function hotApplyInvalidatedModules() {
/******/ 		if (hotQueuedInvalidatedModules) {
/******/ 			if (!hotUpdate) hotUpdate = {};
/******/ 			hotQueuedInvalidatedModules.forEach(hotApplyInvalidatedModule);
/******/ 			hotQueuedInvalidatedModules = undefined;
/******/ 			return true;
/******/ 		}
/******/ 	}
/******/
/******/ 	function hotApplyInvalidatedModule(moduleId) {
/******/ 		if (!Object.prototype.hasOwnProperty.call(hotUpdate, moduleId))
/******/ 			hotUpdate[moduleId] = modules[moduleId];
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"cdss": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {},
/******/ 			hot: hotCreateModule(moduleId),
/******/ 			parents: (hotCurrentParentsTemp = hotCurrentParents, hotCurrentParents = [], hotCurrentParentsTemp),
/******/ 			children: []
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, hotCreateRequire(moduleId));
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// __webpack_hash__
/******/ 	__webpack_require__.h = function() { return hotCurrentHash; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push(["./src/js/cdss.js","common"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/css/cdss.less":
/*!***************************!*\
  !*** ./src/css/cdss.less ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("// extracted by mini-css-extract-plugin\n\n//# sourceURL=webpack:///./src/css/cdss.less?");

/***/ }),

/***/ "./src/images/g1.png":
/*!***************************!*\
  !*** ./src/images/g1.png ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/g1.png\";\n\n//# sourceURL=webpack:///./src/images/g1.png?");

/***/ }),

/***/ "./src/images/go.png":
/*!***************************!*\
  !*** ./src/images/go.png ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/go.png\";\n\n//# sourceURL=webpack:///./src/images/go.png?");

/***/ }),

/***/ "./src/images/icon_admin.png":
/*!***********************************!*\
  !*** ./src/images/icon_admin.png ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/icon_admin.png\";\n\n//# sourceURL=webpack:///./src/images/icon_admin.png?");

/***/ }),

/***/ "./src/images/icon_mark.png":
/*!**********************************!*\
  !*** ./src/images/icon_mark.png ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/icon_mark.png\";\n\n//# sourceURL=webpack:///./src/images/icon_mark.png?");

/***/ }),

/***/ "./src/images/icon_no.png":
/*!********************************!*\
  !*** ./src/images/icon_no.png ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/icon_no.png\";\n\n//# sourceURL=webpack:///./src/images/icon_no.png?");

/***/ }),

/***/ "./src/images/t1.png":
/*!***************************!*\
  !*** ./src/images/t1.png ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/t1.png\";\n\n//# sourceURL=webpack:///./src/images/t1.png?");

/***/ }),

/***/ "./src/images/t2.png":
/*!***************************!*\
  !*** ./src/images/t2.png ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/t2.png\";\n\n//# sourceURL=webpack:///./src/images/t2.png?");

/***/ }),

/***/ "./src/images/t3.png":
/*!***************************!*\
  !*** ./src/images/t3.png ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("module.exports = __webpack_require__.p + \"images/t3.png\";\n\n//# sourceURL=webpack:///./src/images/t3.png?");

/***/ }),

/***/ "./src/js/cdss.js":
/*!************************!*\
  !*** ./src/js/cdss.js ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }\n\nfunction _nonIterableRest() { throw new TypeError(\"Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.\"); }\n\nfunction _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === \"string\") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === \"Object\" && o.constructor) n = o.constructor.name; if (n === \"Map\" || n === \"Set\") return Array.from(o); if (n === \"Arguments\" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }\n\nfunction _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }\n\nfunction _iterableToArrayLimit(arr, i) { var _i = arr && (typeof Symbol !== \"undefined\" && arr[Symbol.iterator] || arr[\"@@iterator\"]); if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i[\"return\"] != null) _i[\"return\"](); } finally { if (_d) throw _e; } } return _arr; }\n\nfunction _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }\n\nif (!Promise) {\n  var Promise = __webpack_require__(/*! bluebird */ \"./node_modules/bluebird/js/browser/bluebird.js\"); // Configure\n\n\n  Promise.config({\n    longStackTraces: true,\n    warnings: true // note, run node with --trace-warnings to see full stack traces for warnings\n\n  });\n}\n\n__webpack_require__(/*! ./../css/reset.css */ \"./src/css/reset.css\");\n\n__webpack_require__(/*! ./../css/cdss.less */ \"./src/css/cdss.less\");\n\n__webpack_require__(/*! ./../css/popup.css */ \"./src/css/popup.css\");\n\n__webpack_require__(/*! ./../css/followUpV.less */ \"./src/css/followUpV.less\");\n\n__webpack_require__(/*! ../css/staticSearch.less */ \"./src/css/staticSearch.less\");\n\n__webpack_require__(/*! ./../js/staticSearch.js */ \"./src/js/staticSearch.js\"); //静态知识搜索\n\n\n__webpack_require__(/*! ./../images/empty.png */ \"./src/images/empty.png\");\n\n__webpack_require__(/*! ./../images/icon_admin.png */ \"./src/images/icon_admin.png\");\n\n__webpack_require__(/*! ./../images/empty2.png */ \"./src/images/empty2.png\");\n\n__webpack_require__(/*! ./../images/empty3.png */ \"./src/images/empty3.png\");\n\n__webpack_require__(/*! ./../images/icon_no.png */ \"./src/images/icon_no.png\");\n\n__webpack_require__(/*! ./../images/loading.gif */ \"./src/images/loading.gif\");\n\n__webpack_require__(/*! ./../images/right.png */ \"./src/images/right.png\");\n\n__webpack_require__(/*! ./../images/new.png */ \"./src/images/new.png\");\n\n__webpack_require__(/*! ./../images/t1.png */ \"./src/images/t1.png\");\n\n__webpack_require__(/*! ./../images/t2.png */ \"./src/images/t2.png\");\n\n__webpack_require__(/*! ./../images/t3.png */ \"./src/images/t3.png\");\n\n__webpack_require__(/*! ./../images/go.png */ \"./src/images/go.png\");\n\n__webpack_require__(/*! ./../images/g1.png */ \"./src/images/g1.png\"); // require('./popupEdit.js');\n\n\nvar infoImg = __webpack_require__(/*! ./../images/icon_info.png */ \"./src/images/icon_info.png\");\n\nvar infoImgOn = __webpack_require__(/*! ./../images/icon_info_on.png */ \"./src/images/icon_info_on.png\");\n\nvar iconArrowUp = __webpack_require__(/*! ./../images/icon_arrow_up.png */ \"./src/images/icon_arrow_up.png\");\n\nvar iconArrowDown = __webpack_require__(/*! ./../images/icon_arrow_down.png */ \"./src/images/icon_arrow_down.png\");\n\nvar iconMark = __webpack_require__(/*! ./../images/icon_mark.png */ \"./src/images/icon_mark.png\");\n\nvar warnImg = __webpack_require__(/*! ./../images/icon_warning.png */ \"./src/images/icon_warning.png\");\n\nvar warnImgWhite = __webpack_require__(/*! ./../images/icon_waring_white.png */ \"./src/images/icon_waring_white.png\");\n\nvar $ = __webpack_require__(/*! jquery */ \"./node_modules/jquery/dist/jquery.js\");\n\nvar _require = __webpack_require__(/*! ./promise.js */ \"./src/js/promise.js\"),\n    post = _require.post,\n    config = _require.config,\n    getUrlArgObject = _require.getUrlArgObject,\n    openNewWin = _require.openNewWin,\n    titleConfig = _require.titleConfig;\n\nvar _require2 = __webpack_require__(/*! ./followUp.js */ \"./src/js/followUp.js\"),\n    renderFollowUp = _require2.renderFollowUp,\n    followEmpty = _require2.followEmpty;\n\nvar _require3 = __webpack_require__(/*! ./tcmiss.js */ \"./src/js/tcmiss.js\"),\n    getTcmMr = _require3.getTcmMr;\n\nvar _require4 = __webpack_require__(/*! ./util.js */ \"./src/js/util.js\"),\n    transConf = _require4.transConf; //静态知识类型： 1：诊断 2.药品 3.化验套餐 4.化验明细 5.辅检 6.手术和操作\n\n\nvar moduleConfig = {\n  auxiliary: \"recommendWrap\",\n  qc: \"qcWrap\",\n  medical: \"medicalKonwledgeWrap\",\n  followup: \"followUpWrap\",\n  tcmiss: 'tcmWarp'\n};\nvar allInterface = 0; //需要调用的推送接口的个数\n\nvar hasCompleteTnterface = 0; //已返回的推送接口的个数\n\nvar moduleNum = 0;\nvar mrId = getUrlArgObject('mrId');\nvar isTcm = getUrlArgObject('isTcm');\nvar pushMrId = getUrlArgObject('pushMrId');\nvar tipsMode = getUrlArgObject('tipsMode') || 1;\nvar planCode = getUrlArgObject('planCode') || 'all';\nvar hospitalIdUrl = getUrlArgObject('hospitalId') || '';\nvar msg;\nvar treatDisName;\n\nfunction getMRInfo() {\n  return post(config.getMr2, {\n    mrId: mrId\n  });\n}\n\nvar ifInputParam; //是否有入参，显示输入空状态用\n\nif (mrId) {\n  Promise.all([getConf(), getMRInfo()]).then(function (_ref) {\n    var _ref2 = _slicedToArray(_ref, 2),\n        res1 = _ref2[0],\n        res2 = _ref2[1];\n\n    var data = res1.data.data && res1.data.data[0];\n    msg = res2.data.data || {};\n\n    if (!(msg && msg.diseaseName && msg.diseaseName.name)) {\n      msg.diseaseName = null;\n    }\n\n    window.msg = msg;\n    renderPage(data);\n  });\n} else {\n  getConf().then(function (res) {\n    if (res.data.code == '0') {\n      // const configArr = res.data.data.pushSetList || []\n      // getPageInfo(configArr)\n      var data = res.data.data && res.data.data[0];\n      renderPage(data);\n    }\n  });\n  followEmpty();\n}\n\nfunction hasInputParam() {\n  var checkKeys = [\"chief\", \"diag\", \"diseaseName\", \"drug\", \"drugOrder\", \"lis\", \"lisOrder\", 'marital', 'menstrual', \"operation\", \"operationOrder\", \"otherIndex\", \"otherOrder\", \"pacs\", \"pacsOrder\", \"pasts\", \"personal\", \"symptom\", \"transfusion\", \"transfusionOrder\", \"vital\"];\n  var res = false;\n  var val;\n  checkKeys.map(function (it) {\n    val = msg[it];\n\n    if (typeof val === 'string') {\n      if (val !== '') {\n        res = true;\n      }\n    } else {\n      var _str = JSON.stringify(val);\n\n      if (!(_str === '{}' || _str === '[]')) {\n        res = true;\n      }\n    }\n  });\n  return res;\n}\n\nfunction getConf() {\n  var msg = window.msg;\n  return post(config.getPushSet, {\n    hospitalId: hospitalIdUrl || msg.hospitalId || 1,\n    planCode: planCode\n  });\n}\n\nfunction getPushInfo() {\n  return post(config.pushInner, Object.assign({}, msg, {\n    featureType: '1,4,5,6,7,8,9,10,12,13',\n    hospitalId: hospitalIdUrl || msg.hospitalId,\n    ruleType: config.ruleTypeMap['22']\n  }));\n}\n\nfunction getPusgWarning() {\n  var indPush = pushMrId ? config.indicationPushCache : config.indicationPush;\n  return post(indPush, Object.assign({}, msg, {\n    ruleType: '1,2,3,4',\n    mrId: pushMrId || mrId\n  }));\n}\n\nfunction getWriteStandardPush() {\n  return post(config.caseWritingPrompt, Object.assign({}, msg, {\n    hospitalId: 2 || false\n  }));\n}\n\nfunction getHosptDeptUsal() {\n  var msg = window.msg;\n  var param = {\n    age: msg.age,\n    deptName: msg.deptName,\n    hospitalCode: msg.hosCode,\n    sexType: msg.sex,\n    type: 1\n  };\n  return post(config.getHosptDeptUsal, param);\n}\n\nfunction getPushData(res) {\n  if (res && res.data && res.data.data && res.data.data.dis && res.data.data.dis) {\n    var dis = res.data.data.dis; //急诊显示规则，主诊断有急诊优先显示，没有则显示推送的，推送也没有就不显示\n\n    if (dis && dis['页面急诊'] && dis['页面急诊'].length > 0) {\n      var name = dis['页面急诊'][0].name || '';\n      $(\".allDis .disName\").html(name);\n      disName = name;\n\n      if (name) {\n        $(\".singleDis\").css(\"display\", \"block\");\n      }\n    } else if (dis && dis['急诊'] && dis['急诊'].length > 0) {\n      var _name = dis['急诊'][0].name || '';\n\n      $(\".allDis .disName\").html(_name);\n      disName = _name;\n\n      if (_name) {\n        $(\".singleDis\").css(\"display\", \"block\");\n      }\n    }\n  }\n}\n\nvar disName = \"\";\n\nfunction handleShow() {\n  var newinConf = {\n    width: '600',\n    //窗口的文档显示区的宽度。以像素计。\n    height: '826',\n    //窗口文档显示区的高度。以像素计。\n    left: '0',\n    //窗口的 x 坐标。以像素计。\n    top: '0',\n    //窗口的 y 坐标。以像素计。\n    openMode: \"_blank\" //每次都是新窗口打开为_blank,打开同一窗口填写任意字符串\n\n  };\n  var newWindowLocation = \"width=\".concat(newinConf.width, \", height=\").concat(newinConf.height, \", left=\").concat(newinConf.left, \", top=\").concat(newinConf.top, \" scrollbars=yes\");\n  window.open('./emergency.html?disName=' + disName, newinConf.openMode, newWindowLocation);\n}\n\n$(document).on('click', \".allDis .allName\", function () {\n  handleShow();\n});\n$(document).on('click', \".singleDis\", function () {\n  $(this).next().css(\"display\", \"block\");\n  $(this).css(\"display\", \"none\");\n});\n$(document).on('click', \".allDis .right,.allDis .secDis\", function () {\n  $(\".allDis\").css(\"display\", \"none\");\n  $(\".singleDis\").css(\"display\", \"block\");\n});\n\nfunction moreInfo() {\n  $('.infoImg').off(\"click\").click(function () {\n    var name = $(this).parents(\".pushItemBox\").attr('data-name');\n    var type = $(this).parents(\".pushItemBox\").attr('data-type');\n    openNewWin(\"staticInfo.html?type=\".concat(encodeURIComponent(type), \"&position=0&name=\").concat(encodeURIComponent(name), \"&mrId=\").concat(encodeURIComponent(mrId)));\n  });\n  $('.evaluationtitle .item-name').off(\"click\").click(function () {\n    var name = $(this).parents(\".pushItemBox\").attr('data-name');\n    var type = $(this).parents(\".pushItemBox\").attr('data-type');\n    openNewWin(\"staticInfo.html?type=\".concat(encodeURIComponent(type), \"&position=0&name=\").concat(encodeURIComponent(name), \"&page=1&mrId=\").concat(encodeURIComponent(mrId), \"&gauge=gauge\"));\n  });\n}\n\nfunction getVersion() {\n  return post(config.getVersion, 'confArr').then(function (res) {\n    var data = res.data.data;\n    var ver = localStorage.getItem('versionTime');\n    var time = data.refreshTime;\n\n    if (!ver || ver === time + \"=new\" || time !== ver.replace(\"=new\", \"\")) {\n      //判断版本是否更新\n      $(\".version-tip\").addClass('new-icon');\n      localStorage.setItem('versionTime', time + \"=new\"); //保存版本更新时间\n    } else {\n      $(\".version-tip\").removeClass(\"new-icon\");\n    }\n  });\n}\n\nfunction getDisclaimer() {\n  return post(config.disclaimer, {}).then(function (res) {\n    var data = res.data.data.filter(function (item) {\n      return item.disclaimerCode == \"2\";\n    });\n    $(\".responsibility\").html((data[0] || {}).description); // $(\".iframeWrap\").css({height: $(window).height()-115-$(\".responsibility\").height()+\"px\"})\n  });\n}\n\nfunction renderPage(pageSet) {\n  var setInfo = pageSet.sysSetInfo;\n\n  if (!pageSet || !setInfo) {\n    return;\n  }\n\n  renderTab(setInfo);\n  adjustHei();\n  var hasAuxiliary = hasTab(\"辅助信息\", setInfo);\n  var hasMedical = hasTab(\"医学知识\", setInfo);\n  var hasFollowUp = hasTab(\"随访计划\", setInfo);\n  var hasTcm = hasTab(\"中医辅助\", setInfo); //所有模块都未开启配置，显示功能未开启（无tab)\n\n  if (hasAuxiliary.status === 0 && hasMedical.status === 0 && hasFollowUp.status === 0 && hasTcm.status === 0) {\n    var nullTxt = \"<div class=\\\"empty-box\\\" style=\\\"left: -20px;display: block;\\\">\\n                  <img class=\\\"emptyImg\\\" src=\\\"../images/icon_admin.png\\\" alt=\\\"\\u7A7A\\\">\\n                  <p class=\\\"emptyTxt\\\">\\u529F\\u80FD\\u672A\\u5F00\\u542F</p>\\n              </div>\";\n    $(\".contentWrapper\").html(nullTxt);\n    return;\n  }\n\n  if (hasTcm) {\n    getTcmMr(mrId, hasTcm);\n  }\n\n  if (!mrId) {\n    return;\n  }\n\n  if (hasFollowUp) {\n    renderFollowUp(msg);\n  }\n\n  var planDetail = hasAuxiliary.planDetails;\n  var configs = planDetail.filter(function (it) {\n    return it.status !== 0;\n  }) || [];\n\n  if (!configs[0]) {\n    //没有开启辅助信息各项配置\n    $('.empty-box').hide();\n    $('.recommendBox .empty-right').show();\n    return;\n  }\n\n  if (hasAuxiliary) {\n    $('.empty-box').hide();\n    $(\".loading\").show();\n    renderModuleWrapper(planDetail);\n    var needPush = isNeedPush(planDetail);\n    var needPushWarning = isNeedPushWarning(planDetail);\n    var needWriteStandardPush = isNeedwriteStandardPush(planDetail);\n\n    if (needPush) {\n      renderPushData();\n      allInterface++;\n    }\n\n    if (needPushWarning) {\n      renderPushWarning();\n      allInterface++;\n    }\n\n    if (needWriteStandardPush) {\n      renderWriteStandard();\n      allInterface++;\n    }\n  }\n}\n\nfunction renderPushData() {\n  return getPushInfo().then(function (res) {\n    $(\".loading\").hide();\n    hasCompleteTnterface++;\n\n    if (res.data.code == \"0\") {\n      var result = res.data.data;\n      var diagPush = result.dis || {};\n      var lisPush = result.lis || [];\n      var scalePush = result.scale || [];\n      var pacsPush = result.pacs || [];\n      var symptomPush = result.symptom || [];\n      var checkupPush = result.vital || [];\n      var medicinesPush = result.medicines || [];\n      var operationsPush = result.operations || [];\n      var treatPush = result.treat && result.treat[0] || {};\n      var nursePush = result.nurse || [];\n      treatDisName = treatPush && treatPush[\"name\"];\n      var generaTreatPush = treatPush && treatPush[\"generaTreat\"];\n      var lisNum = $(\".moduleItem.lis\").attr(\"data-num\") || 5;\n      var scaleNum = $(\".moduleItem.evaluation\").attr(\"data-num\") || 5;\n      var pacsNum = $(\".moduleItem.pacs\").attr(\"data-num\") || 5;\n      var checkupNum = $(\".moduleItem.vital\").attr(\"data-num\") || 5;\n      var symptomNum = $(\".moduleItem.symptom\").attr(\"data-num\") || 5;\n      var medicinesNum = $(\".moduleItem.medicine\").attr(\"data-num\") || 5;\n      var operationsNum = $(\".moduleItem.operation\").attr(\"data-num\") || 5;\n      var nurseNum = $(\".moduleItem.nurse\").attr(\"data-num\") || 5;\n      renderLis(lisPush, lisNum);\n      renderScale(scalePush, scaleNum);\n      renderPacs(pacsPush, pacsNum);\n      renderCheckup(checkupPush, checkupNum);\n      renderSymptomPush(symptomPush, symptomNum);\n      renderDiag(diagPush);\n      renderMedicinesPush(medicinesPush, medicinesNum);\n      renderOperationPush(operationsPush, operationsNum);\n      rendergeneraTreatPush(generaTreatPush);\n      renderNurse(nursePush, nurseNum);\n      bindOpenInfo();\n      moreInfo();\n      bindSlide();\n    }\n\n    empty(); //判断是否显示空状态\n  });\n}\n\nfunction adjustHei() {\n  var iframeHei = $(\".bodyWrap\").height();\n  $(\".contentWrapper\").css(\"height\", iframeHei - 20 - 30 - 60 + 3 + 19 + 'px');\n  $(\".tabList\").css(\"height\", iframeHei + 'px');\n}\n\nfunction isNeedPush(list) {\n  var pass = false;\n  var pushCode = ['critical', \"diag\", \"lis\", \"pacs\", \"symptom\", \"vital\", \"treat\", \"medicines\", 'evaluation', 'general', 'medicine', 'operation', 'nurse'];\n\n  for (var i = 0; i < list.length; i++) {\n    if (pushCode.indexOf(list[i].code) > -1) {\n      if (list[i].status == \"1\") {\n        pass = true;\n      }\n    }\n  }\n\n  return pass;\n}\n\nfunction isNeedwriteStandardPush(list) {\n  var pass = false;\n  var pushCode = [\"casewriting\"];\n\n  for (var i = 0; i < list.length; i++) {\n    if (pushCode.indexOf(list[i].code) > -1) {\n      if (list[i].status == \"1\") {\n        pass = true;\n      }\n    }\n  }\n\n  return pass;\n}\n\nfunction isNeedPushWarning(list) {\n  var pushCode = [\"crivalue\", \"rationali\", \"highrisk\", \"otherremind\"];\n  var pass = false;\n\n  for (var i = 0; i < list.length; i++) {\n    if (pushCode.indexOf(list[i].code.trim()) > -1) {\n      if (+list[i].status === 1) {\n        pass = true;\n      }\n    }\n  }\n\n  return pass;\n} //let popNum = 0;//气泡显示数字\n\n\nfunction renderPushWarning() {\n  return getPusgWarning().then(function (res) {\n    $(\".loading\").hide();\n    hasCompleteTnterface++;\n\n    if (res.data.code == '0') {\n      var result = res.data.data;\n      var billMsgList = result.billMsgList || []; //开单合理性提醒\n\n      var highRiskList = result.highRiskList || []; //高危药品、手术\n\n      var criticalValList = result.criticalValList || []; //危急值提醒\n\n      var otherList = result.otherList || []; //其他提醒\n\n      renderBillingPush(billMsgList, '开单合理性提醒', 'rationali');\n      renderBillingPush(highRiskList, '高风险提示', 'highrisk');\n      renderBillingPush(criticalValList, '危急值提醒', 'crivalue'); //renderBillingPush(noteList,'检查内容注意事项')\n\n      renderBillingPush(otherList, '其他提醒', 'otherremind'); //moreInfo()\n\n      $(\".moduleItem.tips\").wrapAll(\"<div class='tips-cont'></div>\");\n      updatePopNum();\n      $(titleStr('warning')).insertBefore('.tips-cont .moduleItem:first-child');\n    }\n\n    empty();\n  });\n}\n\nfunction renderWriteStandard() {\n  return getWriteStandardPush().then(function (res) {\n    $(\".loading\").hide();\n    hasCompleteTnterface++;\n\n    if (res.data.code == '0') {\n      var list = res.data.data || {};\n      var casewritingNum = $(\".moduleItem.casewriting\").attr(\"data-num\") || 5;\n      renderwriteStandardPage(list, casewritingNum);\n    } else {\n      empty();\n    }\n  });\n}\n\nfunction renderwriteStandardPage(list, casewritingNum) {\n  var arr = Object.keys(list);\n\n  if (arr.length > 0 && $(\".moduleItem.casewriting\").length > 0) {\n    moduleNum++;\n    $(\".moduleItem.casewriting\").append(titleStr(\"casewritingPush\"));\n    var longStr = \"\";\n    var shortStr = \"\";\n\n    for (var i = 0; i < arr.length; i++) {\n      if (i < casewritingNum) {\n        shortStr += \"<div class=\\\"billingPushItem\\\"><img class=\\\"iconMark\\\" src=\".concat(iconMark, \">\").concat(arr[i], \"</div>\");\n      }\n\n      longStr += \"<div class=\\\"billingPushItem\\\"><img class=\\\"iconMark\\\" src=\".concat(iconMark, \">\").concat(arr[i], \"</div>\");\n    }\n\n    var shortStrBox = \"<div class=\\\"shortStrBox\\\">\".concat(shortStr, \"</div>\");\n    var longStrBox = \"<div class=\\\"longStrBox\\\">\".concat(longStr, \"</div>\");\n    var allStr = \"<div class=\\\"casewritingWrapper\\\"></div>\";\n    $(\".moduleItem.casewriting\").append(allStr);\n    $(\".casewritingWrapper\").append(shortStrBox);\n\n    if (arr.length > casewritingNum) {\n      $(\".shortStrBox .billingPushItem\").eq($(\".shortStrBox .billingPushItem\").length - 1).append(\"<span class=\\\"showMoreCaseWriting\\\"><img class=\\\"iconArrowImg\\\" src=\\\"\".concat(iconArrowDown, \"\\\"></span>\")); // $(\".moduleItem .generalTreatInfo\").append(`<span class=\"showLessGeneralTreat\">收起<img class=\"iconArrowImg\" src=\"${iconArrowUp}\"></span>`)\n\n      $(\".casewritingWrapper\").append(longStrBox);\n      $(\".longStrBox .billingPushItem\").eq($(\".longStrBox .billingPushItem\").length - 1).append(\"<span class=\\\"showLessCaseWriting\\\"><img class=\\\"iconArrowImg\\\" src=\\\"\".concat(iconArrowUp, \"\\\"></span>\"));\n    }\n\n    $('.moduleItem.casewriting').css(\"display\", \"block\");\n    updatePopNum();\n    bindSlideCaseWriting();\n  }\n\n  empty();\n}\n\nfunction renderBillingPush(list, name, code) {\n  if (list.length === 0) {\n    return;\n  }\n\n  moduleNum++;\n  var str = \"\";\n\n  for (var i = 0; i < list.length; i++) {\n    str += \"<div class=\\\"billingPushItem\\\"><img class=\\\"iconMark\\\" src=\".concat(iconMark, \">\").concat(list[i].msg, \"</div>\");\n  }\n\n  var titleStr = titleStr2(name);\n  var boxStr = \"<div class=\\\"moduleBox\\\">\\n        \".concat(titleStr, \"\\n        \").concat(str, \"\\n      </div>\");\n  $(\".\" + code).append(boxStr);\n  $('.moduleItem.' + code).addClass(\"tips\").css(\"display\", \"block\");\n} //更新消息个数\n\n\nfunction updatePopNum() {\n  var writeNum = $(\".casewriting .longStrBox\").length ? $(\".casewriting  .longStrBox .billingPushItem\").length : $(\".casewriting  .shortStrBox .billingPushItem\").length;\n  var warnNum = $(\".tips-cont .billingPushItem\").length + writeNum; //病例书写规范有隐藏元素\n\n  if (warnNum === 0) {\n    $(\".tabList .numPop\").hide();\n    return;\n  }\n\n  $(\".tabList .numPop\").text(warnNum).show();\n}\n\nfunction renderDiag(diagPush) {\n  var possibleDiagPush = diagPush[\"可能诊断\"] || [];\n  var previousDiagPush = diagPush[\"既往诊断\"] || [];\n  var firstDiagPush = diagPush[\"初步诊断\"] || [];\n  var identifyDiagPush = diagPush[\"鉴别诊断\"] || [];\n  var warningDiagPush = diagPush[\"警惕\"] || [];\n  var number = $('.moduleItem.diag').attr(\"data-num\") || 5;\n  var warnNumber = $('.moduleItem.warning').attr(\"data-num\") || 5;\n  $('.moduleItem.diag').append(titleStr(\"diagPush\")); // let warningDiagPush = [{name:\"血常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null}]\n  // let firstDiagPush =  [{name:\"血常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null}]\n  // let identifyDiagPush = diagPush[\"鉴别诊断\"] ||  [{name:\"血常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null},{name:\"尿常规\",hisNameList:null}]\n\n  renderDiagItem(possibleDiagPush, \"可能诊断\", number);\n  renderDiagItem(previousDiagPush, \"既往诊断\", number);\n  renderDiagItem(firstDiagPush, \"初步诊断\", number);\n  renderDiagItem(identifyDiagPush, \"鉴别诊断\", number);\n  renderWarningDiag(warningDiagPush, \"警惕\", warnNumber);\n  moreInfo();\n}\n\nfunction renderDiagItem(list, name, number) {\n  if (list.length === 0) {\n    return;\n  }\n\n  moduleNum++;\n  var titleStr = titleStr2(name);\n\n  var _renderItemWrapper = renderItemWrapper(list, number),\n      shortStr = _renderItemWrapper.shortStr,\n      longStr = _renderItemWrapper.longStr;\n\n  var boxStr = \"<div class=\\\"moduleBox\\\">\\n        \".concat(titleStr, \"\\n        \").concat(shortStr, \"\\n        \").concat(longStr, \"\\n      </div>\");\n  $(\".diag\").append(boxStr);\n  $('.moduleItem.diag').css(\"display\", \"block\");\n}\n\nfunction renderWarningDiag(list, name, number) {\n  if (list.length > 0 && $(\".moduleItem.warning\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.warning').append();\n\n    var _str2 = \"<span class=\\\"warningTitle\\\"><img class=\\\"warningTitImg\\\" src=\".concat(warnImgWhite, \">\\u8B66\\u60D5</span>\");\n\n    for (var i = 0; i < list.length; i++) {\n      _str2 += renderPushItem(list[i], 1);\n    }\n\n    $('.moduleItem.warning').append(_str2);\n    $('.moduleItem.warning').css(\"display\", \"block\");\n  }\n}\n\nfunction renderLis(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.lis\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.lis').append(titleStr(\"lisPush\"));\n\n    var _renderItemWrapper2 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper2.shortStr,\n        longStr = _renderItemWrapper2.longStr;\n\n    $('.moduleItem.lis').append(shortStr).append(longStr);\n    $('.moduleItem.lis').css(\"display\", \"block\");\n  }\n}\n\nfunction renderScale(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.evaluation\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.evaluation').append(titleStr(\"scalePush\"));\n\n    var _renderItemWrapper3 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper3.shortStr,\n        longStr = _renderItemWrapper3.longStr;\n\n    $('.moduleItem.evaluation').append(shortStr).append(longStr);\n    $('.moduleItem.evaluation').css(\"display\", \"block\");\n  }\n}\n\nfunction renderNurse(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.nurse\").length > 0) {\n    moduleNum++;\n    $('.moduleItem.nurse').append(titleStr(\"nursePush\"));\n\n    var _renderItemWrapper4 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper4.shortStr,\n        longStr = _renderItemWrapper4.longStr;\n\n    $('.moduleItem.nurse').append(shortStr).append(longStr);\n    $('.moduleItem.nurse').css(\"display\", \"block\");\n  }\n}\n\nfunction renderPacs(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.pacs\").length > 0) {\n    moduleNum++;\n    $(\".moduleItem.pacs\").append(titleStr(\"pacsPush\"));\n\n    var _renderItemWrapper5 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper5.shortStr,\n        longStr = _renderItemWrapper5.longStr;\n\n    $(\".moduleItem.pacs\").append(shortStr).append(longStr);\n    $('.moduleItem.pacs').css(\"display\", \"block\");\n  }\n}\n\nfunction renderCheckup(list, showNum) {\n  if (list.length > 0 && $(\".moduleItem.vital\").length > 0) {\n    moduleNum++;\n    $(\".moduleItem.vital\").append(titleStr(\"checkupPush\"));\n\n    var _renderItemWrapper6 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper6.shortStr,\n        longStr = _renderItemWrapper6.longStr;\n\n    $(\".moduleItem.vital\").append(shortStr).append(longStr);\n    $('.moduleItem.vital').css(\"display\", \"block\");\n  }\n}\n\nfunction renderSymptomPush(list, showNum) {\n  $(\".moduleItem.symptom\").append(titleStr('symptomPush'));\n\n  if (list.length > 0 && $(\".moduleItem.symptom\").length > 0) {\n    moduleNum++;\n\n    var _renderItemWrapper7 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper7.shortStr,\n        longStr = _renderItemWrapper7.longStr;\n\n    $(\".moduleItem.symptom\").append(shortStr).append(longStr);\n    $(\".moduleItem.symptom\").css(\"display\", \"block\");\n  }\n}\n\nfunction rendergeneraTreatPush(list) {\n  if (list && $(\".moduleItem.general\").length > 0) {\n    $(\".moduleItem.general\").append(titleStr('generaTreatPush'));\n    moduleNum++;\n\n    var _str3 = \"<div class=\\\"generalTreatInfo clearfix isOverFlow\\\">\".concat(list, \"</div>\");\n\n    $(\".moduleItem.general\").append(_str3);\n    $(\".moduleItem.general\").css(\"display\", \"block\");\n    var generaTreatHei = $(\".moduleItem .generalTreatInfo\")[0].scrollHeight;\n\n    if (generaTreatHei > 50) {\n      $(\".moduleItem .generalTreatInfo\").append(\"<span class=\\\"showMoreGeneralTreat\\\"><img class=\\\"iconArrowImg more\\\" src=\\\"\".concat(iconArrowDown, \"\\\"></span>\"));\n      $(\".moduleItem .generalTreatInfo\").append(\"<span class=\\\"showLessGeneralTreat\\\"><img class=\\\"iconArrowImg\\\" src=\\\"\".concat(iconArrowUp, \"\\\"></span>\"));\n      bindGeneralSlide();\n    }\n  }\n}\n\nfunction renderMedicinesPush(list, showNum) {\n  $(\".moduleItem.medicine\").append(titleStr('drugPush'));\n\n  if (list.length > 0 && $(\".moduleItem.medicine\").length > 0) {\n    moduleNum++;\n\n    var _renderItemWrapper8 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper8.shortStr,\n        longStr = _renderItemWrapper8.longStr;\n\n    $(\".moduleItem.medicine\").append(shortStr).append(longStr);\n    $(\".moduleItem.medicine\").css(\"display\", \"block\");\n  }\n}\n\nfunction renderOperationPush(list, showNum) {\n  $(\".moduleItem.operation\").append(titleStr('operationPush'));\n\n  if (list.length > 0 && $(\".moduleItem.operation\").length > 0) {\n    moduleNum++;\n\n    var _renderItemWrapper9 = renderItemWrapper(list, showNum),\n        shortStr = _renderItemWrapper9.shortStr,\n        longStr = _renderItemWrapper9.longStr;\n\n    $(\".moduleItem.operation\").append(shortStr).append(longStr);\n    $(\".moduleItem.operation\").css(\"display\", \"block\");\n  }\n}\n\nfunction renderItemWrapper(list, showNum) {\n  var showNum1 = showNum || 5;\n  var shortStr = '',\n      longStr = '';\n\n  for (var i = 0; i < list.length; i++) {\n    if (i <= showNum1 - 1) {\n      shortStr += renderPushItem(list[i]);\n    }\n\n    longStr += renderPushItem(list[i]);\n  }\n\n  if (showNum1 >= list.length) {\n    return {\n      shortStr: \"<div class=\\\"shortBox\\\">\".concat(shortStr, \"</div>\"),\n      longStr: ''\n    };\n  } else {\n    shortStr += \"<span class=\\\"showMore\\\"><img class=\\\"iconArrowImg\\\" src=\\\"\".concat(iconArrowDown, \"\\\"></span>\");\n    longStr += \"<span class=\\\"showLess\\\"><img class=\\\"iconArrowImg\\\"  src=\\\"\".concat(iconArrowUp, \"\\\"></span>\");\n    return {\n      shortStr: \"<div class=\\\"shortBox\\\">\".concat(shortStr, \"</div>\"),\n      longStr: \"<div class=\\\"longBox\\\">\".concat(longStr, \"</div>\")\n    };\n  }\n}\n\nfunction renderPushItem(item) {\n  var infoIcon = \"\".concat(item.hasInfo == \"1\" ? \"<img class=\\\"infoImg\\\" src=\\\"\".concat(infoImg, \"\\\">\") : \"\");\n  str = \"<span class=\\\"pushItemBox\\\" data-name=\\\"\".concat(item.name, \"\\\" data-type=\\\"\").concat(item.type, \"\\\">\");\n  str += \"<span class=\\\"pushItemName \".concat(item.hasScale == \"1\" ? 'evaluationtitle' : '', \" \").concat(item.hasInfo == \"1\" ? '' : 'noInfo', \"\\\">\").concat(item.type == 8 ? '【' + item.name + '】' : item.name, \" \").concat(infoIcon, \"<i class=\\\"hidden-i\\\"></i></span>\");\n  str += \"</span>\";\n  return str;\n}\n\nfunction bindOpenInfo() {\n  $(\".infoImg\").on(\"mouseenter\", function () {\n    $(this).attr(\"src\", infoImgOn);\n  }).on(\"mouseleave\", function () {\n    $(this).attr(\"src\", infoImg);\n  });\n}\n\nfunction bindSlide() {\n  $(\".showMore\").off(\"click\").on(\"click\", function () {\n    $(this).parent().parent().find(\".longBox\").css(\"display\", \"block\");\n    $(this).parent().parent().find(\".shortBox\").css(\"display\", \"none\");\n  });\n  $(\".showLess\").off(\"click\").on(\"click\", function () {\n    $(this).parent().parent().find(\".longBox\").css(\"display\", \"none\");\n    $(this).parent().parent().find(\".shortBox\").css(\"display\", \"block\");\n  });\n}\n\nfunction renderModuleWrapper(moduleList) {\n  if (!moduleList) {\n    return;\n  }\n\n  var moduleStr = '';\n\n  for (var i = 0; i < moduleList.length; i++) {\n    if (moduleList[i].status != '0') {\n      if (moduleList[i].code == 'critical') {\n        moduleStr += \"<div class=\\\"moduleItem warning\\\"  data-num=\\\"\".concat(moduleList[i].number, \"\\\" style=\\\"display:none\\\"></div>\"); // moduleStr += `<div class=\"moduleItem tips\"  data-num=\"${moduleList[i].number}\" style=\"display:none\"></div>`\n      } else {\n        moduleStr += \"<div class=\\\"moduleItem \".concat(moduleList[i].code, \"\\\"  data-num=\\\"\").concat(moduleList[i].number, \"\\\" style=\\\"display:none\\\"></div>\");\n      }\n    }\n  }\n\n  $(\".recommendWrap\").append(moduleStr);\n}\n\nfunction hasTab(tabName, tabList) {\n  if (!tabList) {\n    return;\n  }\n\n  for (var i = 0; i < tabList.length; i++) {\n    if (tabList[i].name == tabName) {\n      return tabList[i];\n    }\n  }\n\n  return false;\n}\n\nfunction renderTab(tabList) {\n  var tabStr = '<ul>';\n\n  for (var i = 0; i < tabList.length; i++) {\n    if (tabList[i].status == '1') {\n      tabStr += \"<li class=\\\"tab\\\" data-name=\\\"\".concat(tabList[i].code, \"\\\" ><span>\").concat(tabList[i].name, \"</span></li>\");\n    }\n  }\n\n  tabStr += \"</ul><div class=\\\"numPop\\\"></div>\";\n  $(\".tabList\").append(tabStr);\n  var tabNum = 0;\n\n  if (isTcm == 'true') {\n    tabNum = $(\".tabList .tab\").length - 1;\n  }\n\n  $(\".tabList .tab\").eq(tabNum).addClass(\"activeTab\");\n  var showModuleName = $(\".tabList .tab\").eq(tabNum).attr(\"data-name\");\n  getModuleShow(moduleConfig[showModuleName]);\n  bindTabClick();\n}\n\nfunction titleStr(type) {\n  var titleStr = '';\n  titleStr += \"<h4 class=\\\"moduleTitle\\\" style=\\\"background:\".concat(titleConfig[type].background, \"\\\"><img class=\\\"titleIcon\\\" src=\").concat(titleConfig[type].icon, \">\").concat(titleConfig[type].name, \"</h4>\");\n  return titleStr;\n}\n\nfunction titleStr2(name) {\n  var titleStr = '';\n  titleStr += \"<p class=\\\"moduleBoxTitle\\\">\".concat(name, \"\\uFF1A</p>\");\n  return titleStr;\n}\n\nfunction bindTabClick() {\n  $(\".tabList .tab\").off(\"click\").on(\"click\", function () {\n    $(\".activeTab\").removeClass(\"activeTab\");\n    $(this).addClass(\"activeTab\");\n    var moduleName = $(this).attr(\"data-name\");\n    getModuleShow(moduleConfig[moduleName]);\n\n    if (moduleName == \"medical\") {\n      $(\".staticSearchT .ipt\").find(\"input\").focus(); //$(\".contentWrapper\").css(\"overflowY\",\"hidden\")\n    } else if (moduleName == 'followup') {// $(\".contentWrapper\").css(\"overflowY\",\"auto\")\n    }\n  });\n}\n\nfunction getModuleShow(moduleClassName) {\n  if ($(\".\".concat(moduleClassName)).css(\"display\") == \"none\") {\n    $(\".moduleWrapper\").css(\"display\", \"none\");\n    $(\".\".concat(moduleClassName)).css(\"display\", \"block\");\n  }\n}\n\nfunction bindGeneralSlide() {\n  $(\".showMoreGeneralTreat\").off(\"click\").on(\"click\", function () {\n    $(\".generalTreatInfo\").toggleClass(\"isOverFlow\");\n    $(\".showMoreGeneralTreat\").toggle();\n  });\n  $(\".showLessGeneralTreat\").off(\"click\").on(\"click\", function () {\n    $(\".generalTreatInfo\").toggleClass(\"isOverFlow\");\n    $(\".showMoreGeneralTreat\").toggle();\n  });\n}\n\nfunction bindSlideCaseWriting() {\n  $(\".showMoreCaseWriting\").off(\"click\").on(\"click\", function () {\n    $(this).parents(\".casewritingWrapper \").find(\".shortStrBox\").css(\"display\", \"none\");\n    $(this).parents(\".casewritingWrapper \").find(\".longStrBox\").css(\"display\", \"block\");\n  });\n  $(\".showLessCaseWriting\").off(\"click\").on(\"click\", function () {\n    $(this).parents(\".casewritingWrapper \").find(\".shortStrBox\").css(\"display\", \"block\");\n    $(this).parents(\".casewritingWrapper \").find(\".longStrBox\").css(\"display\", \"none\");\n  });\n} //显示空状态\n\n\nfunction empty() {\n  ifInputParam = hasInputParam();\n\n  if (!ifInputParam) {\n    //没有输入数据时\n    $(\".recommendBox .empty-box\").hide();\n    $(\".recommendBox .empty\").show();\n    return;\n  }\n\n  if (hasCompleteTnterface === allInterface) {\n    //需调的推送接口全部返回后\n    setTimeout(function () {\n      var emptyShownBox = $('.recommendWrap .empty-box:visible').length;\n      var configShownBox = $('.recommendWrap .moduleItem:visible').length;\n\n      if (configShownBox === 0 && emptyShownBox === 0) {\n        //有配置但没数据\n        $('.empty-box').hide();\n        $('.recommendBox .empty-null').show();\n        return;\n      }\n\n      $(\".empty-box\").hide();\n    }, 200);\n  }\n  /*setTimeout(function(){\r\n      const emptyShownBox = $('.recommendWrap .empty-box:visible').length;\r\n      const configShownBox = $('.recommendWrap .moduleItem:visible').length;\r\n      if(configShownBox===0&&emptyShownBox===0){       //有配置但没数据\r\n          $('.empty-box').hide();\r\n          $('.recommendBox .empty-null').show();\r\n          return;\r\n      }\r\n      $(\".empty-box\").hide();\r\n  },200);*/\n\n}\n\n$(function () {\n  //隐藏logo\n  if (getUrlArgObject(\"hideLg\")) {\n    $(\".disclaimer .logo\").hide();\n  }\n\n  getDisclaimer(); //获取免责声明\n\n  getVersion(); //获取版本信息\n\n  $(\".disclaimerInfo\").on(\"click\", function () {\n    openNewWin(\"disclaimer.html\");\n  });\n  $(\".version-tip\").on(\"click\", function () {\n    var ver = localStorage.getItem('versionTime');\n    $(\".version-tip\").removeClass('new-icon');\n    localStorage.setItem('versionTime', ver.replace(\"=new\", \"\"));\n    openNewWin(\"version.html\");\n  });\n  $.fn.extend({\n    \"preventScroll\": function preventScroll() {\n      $(this).each(function () {\n        var _this = this;\n\n        if (navigator.userAgent.indexOf('Firefox') >= 0) {\n          //firefox  \n          _this.addEventListener('DOMMouseScroll', function (e) {\n            _this.scrollTop += e.detail > 0 ? 60 : -60;\n            e.preventDefault();\n          }, false);\n        } else {\n          _this.onmousewheel = function (e) {\n            e = e || window.event;\n            _this.scrollTop += e.wheelDelta > 0 ? -60 : 60;\n            return false;\n          };\n        }\n      });\n    }\n  });\n  $(window).on(\"resize\", function () {\n    adjustHei();\n  });\n});\n\n//# sourceURL=webpack:///./src/js/cdss.js?");

/***/ })

/******/ });